Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs
Class CcmTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.nokia.ant.taskdefs.CcmTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class CcmTask

extends org.apache.tools.ant.Task

Synergy task.

     <hlm:createSessionMacro database="to1tobet" reference="test.session" />
     <hlm:ccm verbose="false">
         <hlm:sessionset refid="test.session" />
         <hlm:addtask folder="tr1test1#2079">
             <task name="tr1test1#5310" />
         </hlm:addtask>
         <hlm:snapshot project="helium-to1tobet#helium_3.0:project:vc1s60p1#1" dir="c:\test" fast="true" recursive="true" />
         <hlm:close />
     </hlm:ccm>

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`CcmTask()`

Method Summary
`void` | `addChangeReleaseTag(ChangeReleaseTag a)`
`void` | `addCheckout(Checkout a)`
`void` | `addReconcile(Reconcile a)`
`void` | `addSnapshot(Snapshot a)`
`void` | `addUpdate(Update a)`
`void` | `addWorkarea(Workarea a)`
`AddTask` | `createAddTask()`
`Close` | `createClose()`
`SessionSet` | `createSessionSet()`
`void` | `execute()`
`CcmCommand[]` | `getCommands()`
`java.lang.String` | `getPassword()`
`SessionSet[]` | `getSessionSets()`
`java.lang.String` | `getUsername()`
`boolean` | `getVerbose()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVerbose(boolean value)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CcmTask

    public CcmTask()

Method Detail

### setVerbose

    public void setVerbose(boolean value)

### getVerbose

    public boolean getVerbose()

### getUsername

    public java.lang.String getUsername()

### setUsername

    public final void setUsername(java.lang.String username)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public final void setPassword(java.lang.String password)

### getCommands

    public CcmCommand[] getCommands()

### addUpdate

    public void addUpdate(Update a)

### addReconcile

    public void addReconcile(Reconcile a)

### addSnapshot

    public void addSnapshot(Snapshot a)

### addChangeReleaseTag

    public void addChangeReleaseTag(ChangeReleaseTag a)

### addCheckout

    public void addCheckout(Checkout a)

### addWorkarea

    public void addWorkarea(Workarea a)

### createAddTask

    public AddTask createAddTask()

### createClose

    public Close createClose()

### createSessionSet

    public SessionSet createSessionSet()

### getSessionSets

    public SessionSet[] getSessionSets()

### execute

    public final void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD